XFuFastRandom class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# XFuFastRandom Class Reference

A "fast" pseudo random number generator class. More...

`#include <XFuFastRandom.h>`

List of all members.

## Public Member Functions

| XFuFastRandom ()
| Constructor.
| XFuFastRandom (UINT32 aSeed)
| Constructor with seed input.
UINT32 | next ()
| Returns the next random number.
void | seed (UINT32 aSeed)
| Re-seeds the random number generator.

## Protected Attributes

UINT32 | mSeed1
| Internal random number generator data.
UINT32 | mSeed2
| Internal random number generator data.

## Detailed Description

A "fast" pseudo random number generator class.

Please note that the output from this pseudorandom number generator is pretty poor, but it is suitable when all you need is just some noise.

Definition at line 21 of file XFuFastRandom.h.

## Constructor & Destructor Documentation

XFuFastRandom::XFuFastRandom | ( |  | ) |

| Constructor. Definition at line 20 of file XFuFastRandom.cpp. References seed().

XFuFastRandom::XFuFastRandom | ( | UINT32 | aSeed | ) |

| Constructor with seed input. Definition at line 26 of file XFuFastRandom.cpp. References seed().

## Member Function Documentation

UINT32 XFuFastRandom::next | ( |  | ) | `[inline]`

| Returns the next random number. Definition at line 32 of file XFuFastRandom.h. References mSeed1, and mSeed2.

void XFuFastRandom::seed | ( | UINT32 | aSeed | ) |

| Re-seeds the random number generator. Definition at line 32 of file XFuFastRandom.cpp. References mSeed1, and mSeed2. Referenced by XFuFastRandom().

## Member Data Documentation

UINT32 XFuFastRandom::mSeed1`[protected]`

| Internal random number generator data. Definition at line 47 of file XFuFastRandom.h. Referenced by next(), and seed().

UINT32 XFuFastRandom::mSeed2`[protected]`

| Internal random number generator data. Definition at line 48 of file XFuFastRandom.h. Referenced by next(), and seed().

The documentation for this class was generated from the following files:

- XFuFastRandom.h
- XFuFastRandom.cpp

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch